API Overview
Base URL
Section titled “Base URL”https://api.visihub.app/api/v1/booksResources
Section titled “Resources”Receivables
Section titled “Receivables”| Resource | Endpoints | Description |
|---|---|---|
| Accounts | List, Show | Chart of accounts (read-only) |
| Contacts | CRUD + Find-or-Create | Customers, vendors, and other parties |
| Invoices | CRUD + Post + Void + Lines | Accounts receivable invoices |
| Payments | Create, List, Show, Apply, Void | Customer payments |
| Reports | AR Aging | Financial reports |
Payables
Section titled “Payables”| Resource | Endpoints | Description |
|---|---|---|
| Bills | CRUD + Post + Void | Vendor bills (accounts payable) |
| Vendor Payments | Create, List, Show, Apply, Void | Payments to vendors |
| Invoice Inbox | Upload, Extract, Convert | PDF invoice processing |
| Commitments | CRUD + Upsert + Match + Allocate | PO/expected cost matching |
Common Patterns
Section titled “Common Patterns”Response Envelope
Section titled “Response Envelope”List endpoints return data (array) and page (pagination metadata):
{ "data": [...], "page": { "limit": 25, "has_more": false, "next_cursor": null }}Single-resource endpoints return data (object):
{ "data": { "id": 1, ... }}All monetary values use integer cents to avoid floating-point precision issues:
| Field | Example | Meaning |
|---|---|---|
amount_cents: 50000 | — | $500.00 |
tax_rate_bps: 875 | — | 8.75% |
All dates use ISO 8601 format. Date-only fields use YYYY-MM-DD. Timestamps include timezone: 2026-03-12T15:30:00Z.
External IDs
Section titled “External IDs”Most resources support an external_id field for mapping to your own system. Use the by_external_id endpoint to look up resources by your ID:
GET /api/v1/books/contacts/by_external_id/your-id-here